### Hierarchy

- HttpTransportImpl

### Implements

- HttpTransport

## Index

### Constructors

- constructor

### Methods

- addInterceptor
- getHost
- sendBlobRequest
- sendRequest

## Constructors

### constructor

- new HttpTransportImpl(host: string): HttpTransportImpl

- - Defined in repository/source/http/HttpTransportImpl.ts:26

  #### Parameters

  - ##### host: string

  #### Returns HttpTransportImpl

## Methods

### addInterceptor

- addInterceptor(interceptor: HttpInterceptor): HttpTransport

- Implementation of HttpTransport.addInterceptor

  - Defined in repository/source/http/HttpTransportImpl.ts:32

  #### Parameters

  - ##### interceptor: HttpInterceptor

  #### Returns HttpTransport

### getHost

- getHost(): string

- Implementation of HttpTransport.getHost

  - Defined in repository/source/http/HttpTransportImpl.ts:153

  #### Returns string

### sendBlobRequest

- sendBlobRequest(path: string, method: HttpMethod, headers: Map<string, string>, data?: any, file?: File): Promise<Response>

- Implementation of HttpTransport.sendBlobRequest

  - Defined in repository/source/http/HttpTransportImpl.ts:73

  #### Parameters

  - ##### path: string

  - ##### method: HttpMethod

  - ##### headers: Map<string, string>

  - ##### Optional data: any

  - ##### Optional file: File

  #### Returns Promise<Response>

### sendRequest

- sendRequest(path: string, method: HttpMethod, data?: any): Promise<Response>

- Implementation of HttpTransport.sendRequest

  - Defined in repository/source/http/HttpTransportImpl.ts:41

  #### Parameters

  - ##### path: string

  - ##### method: HttpMethod

  - ##### Optional data: any

  #### Returns Promise<Response>

Generated using TypeDoc